summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--common.nix3
-rw-r--r--home-modules/apps/default.nix4
-rw-r--r--home-modules/apps/desktop/default.nix3
-rwxr-xr-xupdate.sh15
-rw-r--r--users/wilkuu.nix3
5 files changed, 23 insertions, 5 deletions
diff --git a/common.nix b/common.nix
index 1dab9f0..2b1a479 100644
--- a/common.nix
+++ b/common.nix
@@ -63,6 +63,9 @@
# D
];
+ networking.hosts = {
+ "0.0.0.0" = ["apresolve.spotify.com"];
+ };
# This option defines the first version of NixOS you have installed on this particular machine,
# DO NOT CHANGE UNLESS USING NIXOS-INSTALL
system.stateVersion = "24.11"; # Did you read the comment?
diff --git a/home-modules/apps/default.nix b/home-modules/apps/default.nix
index 751985b..15294cb 100644
--- a/home-modules/apps/default.nix
+++ b/home-modules/apps/default.nix
@@ -120,6 +120,7 @@ in
enable = true;
settings = {
global = {
+ use-mpris = true;
device_name = "Apocalypse Nix";
};
discovery = {
@@ -129,9 +130,6 @@ in
backend="pulse";
};
## Fixes spotifyd for some reason
- networking.hosts = {
- "0.0.0.0" = ["apresolve.spotify.com"];
- };
# FIXME: Add a hook for notifications
};
};
diff --git a/home-modules/apps/desktop/default.nix b/home-modules/apps/desktop/default.nix
index 287b9f0..6c74a6c 100644
--- a/home-modules/apps/desktop/default.nix
+++ b/home-modules/apps/desktop/default.nix
@@ -85,7 +85,8 @@ in
home.packages = with pkgs; [
ani-cli
vlc
- spotify
+ # Spotify (The proprietary frontend)
+ riff
];
})
(lib.mkIf cfg.games.enable {
diff --git a/update.sh b/update.sh
new file mode 100755
index 0000000..ce84c61
--- /dev/null
+++ b/update.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -x
+
+
+# sudo bash -c "nixos-rebuild switch --flake /home/wilkuu/nix-config#apocalypse --log-format internal-json -v |& nom --json"
+dir=$(dirname "$0")
+host=$1; shift;
+args=$@
+# Check if nom is present
+nom_cmd="nom --json"
+cat_cmd="cat"
+output_monitor_cmd=$(which nom 2>&1 > /dev/null && echo $nom_cmd || echo $cat_cmd)
+
+
+nixos-rebuild switch --flake $dir\#$host --log-format internal-json -v $args |& $output_monitor_cmd
diff --git a/users/wilkuu.nix b/users/wilkuu.nix
index c4e7cf3..b4882bf 100644
--- a/users/wilkuu.nix
+++ b/users/wilkuu.nix
@@ -1,11 +1,12 @@
{pkgs, lib, config,...}: {
imports = [./user-common.nix];
programs.zsh.enable = true;
+ programs.adb.enable = true;
users.users.wilkuu = {
shell = pkgs.zsh;
isNormalUser = true;
initialPassword = "PleazeChangeThis123";
- extraGroups = [ "wheel" "networkmanager" "input" "docker" "adbusers" "libvirtd" ]; # Enable ‘sudo’ for the user.
+ extraGroups = [ "wheel" "adbusers" "networkmanager" "input" "docker" "adbusers" "libvirtd" ]; # Enable ‘sudo’ for the user.
packages = with pkgs; [
home-manager
];